[Tutor] Paradox database files

Victor Bouffier apple_py at biz-experts.net
Tue Mar 8 18:37:53 CET 2005

That did the trick. Thanks Ewald.

FYI, I used the '--nodeps' directive once I realized there were really 
no major issues.
I still needed to keep the added symlink since the px libraries couldn't 
find the libbz2.so.1.0 file.

Thanks again to all. That was great help.

Ewald Ertl wrote:

>Hi Victor
>on Tue, 08 Mar 2005 10:06:50 -0600  Victor Bouffier <apple_py at biz-experts.net> wrote :
>Victor Bouffier > Hi all,
>Victor Bouffier > I know this is OT from Python, but does anybody know how to fix my 
>Victor Bouffier > library issues. I get some awkward dependencies issues from these pylib 
>Victor Bouffier > libraries.
>Victor Bouffier > 
>Victor Bouffier > # rpm -Uvh pxlib-0.4.3-1.i386.rpm
>Victor Bouffier > error: Failed dependencies:
>Victor Bouffier >         libbz2.so.1.0 is needed by pxlib-0.4.3-1.i386
>Victor Bouffier > 
>Victor Bouffier > but when I look into my libraries I find the necessary ones under /usr/lib:
>Victor Bouffier > 
>Victor Bouffier > # ll /usr/lib/libbz2*
>Victor Bouffier > -rwxr-xr-x  1 root root 67594 Jun 15  2004 /usr/lib/libbz2.a
>Victor Bouffier > lrwxrwxrwx  1 root root    11 Feb  6 11:02 /usr/lib/libbz2.so -> libbz2.so.1
>Victor Bouffier > lrwxrwxrwx  1 root root    15 Feb  6 10:10 /usr/lib/libbz2.so.1 -> 
>Victor Bouffier > libbz2.so.1.0.2
>Victor Bouffier > lrwxrwxrwx  1 root root    24 Mar  8 09:41 /usr/lib/libbz2.so.1.0 -> 
>Victor Bouffier > /usr/lib/libbz2.so.1.0.2
>Victor Bouffier > -rwxr-xr-x  1 root root 71724 Jun 15  2004 /usr/lib/libbz2.so.1.0.2
>Victor Bouffier > 
>Perhap's there is a problem with the RPM-Database. I don't know how rpm works internaly, but it 
>controls somewhere in a "database", which packages are installed on the system. 
>On an old SuSE-System I can search, to which package a file belongs
>rpm -q -f /usr/lib/libbz2.so
>Here I see, that libbz2.so belongs to the bzip2-Package. 
>The other way is to list the files belonging to a package: 
>rpm -q -l bzip2-1.0.2-103
>During the installation/update-Process, I think, rpm looks up, all dependencys mentioned 
>in the rpm if they are installed on the system via the "database" where it logs, 
>what is installed. 
>Try if you can get a package to which your /usr/lib/libbz2.so.1 belongs. 
>The other way is, to install the rpm-Package without depdency-check's, but this 
>could result in the availability of the pxlib-Package, but it perhaps does not work. 
>You've to test this, before you keep the package.
>"rpm -Uvh --nodeps"
>This should ignore the dependencies and install the package. 
>------------------- end ----------------------
>HTH Ewald
>Tutor maillist  -  Tutor at python.org

Victor Bouffier
Finance Manager

More information about the Tutor mailing list